Subject: bug#33249: [PATCH] grep: grouping of patterns including back reference

From: Paul Eggert <[email-masked]>
Date: Sat, 3 Nov 2018 21:02:19 -0700

Norihiro Tanaka wrote:
> Even the pattern has no back-references, compilation by regex run for
> each line.  So Syntax errors will be detected as even your present.

OK, but then I'm afraid I don't understand the motivation for the patch. Perhaps 
if you gave a self-contained example? The examples in the original bug report 
are incomplete because they're missing the pattern file; when I tried the first 
one I observed this:

$ yes 00000000000000000000000000000000000000000x | head -10 >in
$ time -p env LC_ALL=C grep -f pat in
grep: pat: No such file or directory
real 0.00
user 0.00
sys 0.00